> For the complete documentation index, see [llms.txt](https://docs.proxima.one/proxima/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.proxima.one/proxima/data-apis/apis/decentralized-exchanges.md).

# Decentralized exchanges

APIs providing information about decentralized exchanges (DEX) running on the blockchain, like [Uniswap](https://uniswap.org), [Quickswap](https://quickswap.exchange/), etc.

* `/dexes` — gets a list of all supported DEX services.
* `/dexes/{dexId}` — returns the details of a given DEX.
* `/dexes/{dexId}/pools` — lists all existing pools of a given DEX.
* `/dexes/{dexId}/pools/{poolId}` — returns current information about a given pool.
* `/dexes/{dexId}/pools/{poolId}/events` — lists events (swap, mint, burn, etc) happening in a given pool.
* `/dexes/{dexId}/pools/-/events` — lists all events of a given DEX.

More information can be found in [Swagger documentation](https://api.proxima.one/#tag--Decentralized-Exchanges--overview).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.proxima.one/proxima/data-apis/apis/decentralized-exchanges.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
